Method: accounts.hotelViews.summarize

返回有关酒店的汇总信息。

HTTP 请求

GET https://travelpartner.googleapis.com/v3/{parent=accounts/*}/hotelViews:summarize

网址采用 gRPC 转码语法。

路径参数

参数
parent

string

要查询的账号的资源名称。格式为 accounts/{account_id}

请求正文

请求正文必须为空。

响应正文

HotelViewService.SummarizeHotelViews 的响应消息。

如果成功,响应正文将包含结构如下的数据:

JSON 表示法
{
  "matchedPropertyCount": string,
  "unmatchedPropertyCount": string,
  "unmatchedPropertyWithErrorsCount": string,
  "overclusteredPropertyCount": string,
  "overclusteredPropertyWithErrorsCount": string,
  "liveOnGooglePropertyCount": string,
  "lastManifestUpdateTime": string,
  "lastFeedSubmissionTime": string
}
字段
matchedPropertyCount

string (int64 format)

与 Google 的清单匹配的房源数量。

unmatchedPropertyCount

string (int64 format)

被视为不匹配的房源数量。

unmatchedPropertyWithErrorsCount

string (int64 format)

存在与数据相关的错误的不匹配房源数量。

overclusteredPropertyCount

string (int64 format)

被视为过度聚类的酒店数量。

overclusteredPropertyWithErrorsCount

string (int64 format)

存在与数据相关的错误的过度聚类房源数量。

liveOnGooglePropertyCount

string (int64 format)

在 Google 上发布房源的数量。这包括有条件地处于活跃状态的房源,例如 LIVE_ON_GOOGLE_STATUS_ACTIVE_OUTSIDE_DSA_REGION。

lastManifestUpdateTime

string (Timestamp format)

上次更新酒店清单的时间戳。

采用 RFC 3339 标准,生成的输出将始终进行 Z 规范化(即转换为 UTC 零时区格式并在末尾附加 Z),并使用 0、3、6 或 9 个小数位。不进行“Z”归一化处理的偏差时间也是可以接受的。示例:"2014-10-02T15:01:23Z""2014-10-02T15:01:23.045123456Z""2014-10-02T15:01:23+05:30"

lastFeedSubmissionTime

string (Timestamp format)

上次提交酒店 Feed 的时间戳。

采用 RFC 3339 标准,生成的输出将始终进行 Z 规范化(即转换为 UTC 零时区格式并在末尾附加 Z),并使用 0、3、6 或 9 个小数位。不进行“Z”归一化处理的偏差时间也是可以接受的。示例:"2014-10-02T15:01:23Z""2014-10-02T15:01:23.045123456Z""2014-10-02T15:01:23+05:30"

授权范围

需要以下 OAuth 范围:

  • https://www.googleapis.com/auth/travelpartner

如需了解详情,请参阅 OAuth 2.0 Overview